Bug 528410 - awk fails with "internal error: segfault" when run by makewhatis
Summary: awk fails with "internal error: segfault" when run by makewhatis
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gawk
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-12 01:48 UTC by Ben Liblit
Modified: 2010-04-29 10:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-29 10:19:14 UTC
Type: ---


Attachments (Terms of Use)
complete log of output from "makewhatis" (167.42 KB, text/plain)
2009-10-12 01:48 UTC, Ben Liblit
no flags Details

Description Ben Liblit 2009-10-12 01:48:44 UTC
Created attachment 364408 [details]
complete log of output from "makewhatis"

Description of problem:

As used by makewhatis, awk fails with an "internal error: segfault".


Version-Release number of selected component (if applicable):

man-1.6f-20.fc11.i586
gawk-3.1.6-5.fc11.i586


How reproducible:

100% reproducible, every time.


Steps to Reproduce:

1. Become root.
2. Run "/usr/sbin/makewhatis" with no arguments.


Actual results:

Multiple lines of output reporting "awk: cmd. line:63: fatal error: internal error: segfault".  A log of the full output is attached to this report.


Expected results:

awk should not fail; no error output should be produced.


Additional info:

"makewhatis" is run daily by cron, due to a "/etc/cron.daily/makewhatis.cron" script.  Thus, every day this cron job runs and fails, leading to diagnostic output being mailed to root.

Comment 1 Bug Zapper 2010-04-28 10:48:00 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Ben Liblit 2010-04-29 01:06:04 UTC
I can no longer reproduce the problem as originally described using Fedora 12 with man-1.6f-25.fc12.i686 and gawk-3.1.7-1.fc12.i686.  Man page building seems to work fine, with no segfault messages from awk.

I suppose this can be closed.  Should it be closed WORKSFORME?  Not sure about
that, so I'll leave it for someone else to update the status appropriately.

Comment 3 Jan Zeleny 2010-04-29 10:19:14 UTC
Well, it is opened for F11 and you say it works in F12 - I believe CURRENTRELEASE is the best option here.


Note You need to log in before you can comment on or make changes to this bug.